@echo off

echo MapDesigner SETUP >C:\MapDesigner\Res.txt

c:\MapDesigner\Utils\Gacutil /il c:\MapDesigner\ListForGAC.T     >>C:\MapDesigner\Res.txt
if errorlevel 4 goto ERR1

if exist "c:\Program Files\Common Files\ArcGis\Bin\ESRIregasm.exe" goto REG32
if exist "c:\Program Files (x86)\Common Files\ArcGis\Bin\ESRIregasm.exe" goto REG64

echo ESRI registration utility (ESRIregasm) not found >>C:\MapDesigner\Res.txt
goto END

:REG32
"c:\Program Files\Common Files\ArcGis\Bin\ESRIregasm.exe" /p:desktop  "C:\MapDesigner\Bin\MapDesigner.dll"  >>C:\MapDesigner\Res.txt
if errorlevel 4 goto ERR2
goto END

:REG64
"c:\Program Files (x86)\Common Files\ArcGis\Bin\ESRIregasm.exe" /p:desktop  "C:\MapDesigner\Bin\MapDesigner.dll"  >>C:\MapDesigner\Res.txt
if errorlevel 4 goto ERR2
goto END

:ERR1
echo MapDesigner components registration in GAC - Error >>C:\MapDesigner\Res.txt
goto END

:ERR2
echo MapDesigner Extension registration - error >>C:\MapDesigner\Res.txt
goto END

:END
notepad.exe C:\MapDesigner\Res.txt  